testing::internal::TestFactoryBase Class Referenceabstract

`#include <gtest.h>`

Inheritance diagram for testing::internal::TestFactoryBase:

## Public Member Functions

virtual | ~TestFactoryBase ()
virtual Test * | CreateTest ()=0

## Protected Member Functions

| TestFactoryBase ()

## Detailed Description

Definition at line 6889 of file gtest.h.

## Constructor & Destructor Documentation

## ~TestFactoryBase()

virtual testing::internal::TestFactoryBase::~TestFactoryBase | ( |  | ) |

inlinevirtual

Definition at line 6891 of file gtest.h.

## TestFactoryBase()

testing::internal::TestFactoryBase::TestFactoryBase | ( |  | ) |

inlineprotected

Definition at line 6898 of file gtest.h.

## Member Function Documentation

## CreateTest()

virtual Test* testing::internal::TestFactoryBase::CreateTest | ( |  | ) |

pure virtual

Implemented in testing::internal::ParameterizedTestFactory< TestClass >, and testing::internal::TestFactoryImpl< TestClass >.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h